<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.218
Name: Fase rilevamento del TNM (RAP)
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442">
   <title>Fase rilevamento del TNM (RAP)</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.218
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]]
Item: (faseRilevamentoTNM)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]]"
         id="d42e5348-false-d122463e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]) &lt;= 1">(faseRilevamentoTNM): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.218
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]
Item: (faseRilevamentoTNM)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]"
         id="d42e5370-false-d122478e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(faseRilevamentoTNM): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="string(@moodCode) = ('EVN')">(faseRilevamentoTNM): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']) &gt;= 1">(faseRilevamentoTNM): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']) &lt;= 1">(faseRilevamentoTNM): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="count(hl7:code) &lt;= 1">(faseRilevamentoTNM): element hl7:code appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="count(hl7:value) &gt;= 1">(faseRilevamentoTNM): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="count(hl7:value) &lt;= 1">(faseRilevamentoTNM): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.218
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']
Item: (faseRilevamentoTNM)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']"
         id="d42e5382-false-d122522e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.218')">(faseRilevamentoTNM): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.218'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.218
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]/hl7:id
Item: (faseRilevamentoTNM)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.218
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]/hl7:code
Item: (faseRilevamentoTNM)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]/hl7:code"
         id="d42e5390-false-d122541e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="@code">(faseRilevamentoTNM): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(faseRilevamentoTNM): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="@codeSystem">(faseRilevamentoTNM): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(faseRilevamentoTNM): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(faseRilevamentoTNM): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(faseRilevamentoTNM): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.218
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]/hl7:value
Item: (faseRilevamentoTNM)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.218']]/hl7:value"
         id="d42e5401-false-d122565e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="@code">(faseRilevamentoTNM): attribute @code SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="not(@code) or (string-length(@code) &gt; 0 and not(matches(@code,'\s')))">(faseRilevamentoTNM): Attribute @code SHALL be of data type 'cs'  - '<value-of select="@code"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="@codeSystem">(faseRilevamentoTNM): attribute @codeSystem SHALL be present.</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9]\d*))*$') or matches(@codeSystem,'^[A-Fa-f\d]{8}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{4}-[A-Fa-f\d]{12}$') or matches(@codeSystem,'^[A-Za-z][A-Za-z\d\-]*$')">(faseRilevamentoTNM): Attribute @codeSystem SHALL be of data type 'uid'  - '<value-of select="@codeSystem"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(faseRilevamentoTNM): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.218-2022-09-27T150442.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(faseRilevamentoTNM): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
</pattern>
