<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.777.63.10.254
Name: Peso del campione RAP
Description: Template CDA Observation (prototype, directly derived from POCD_RM000040 MIF)
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842">
   <title>Peso del campione RAP</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.254
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]]
Item: (PesoCampioneRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]]"
         id="d42e5847-false-d125616e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]) &gt;= 1">(PesoCampioneRAP): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']] is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="count(hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]) &lt;= 1">(PesoCampioneRAP): element hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.254
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]
Item: (PesoCampioneRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]"
         id="d42e5867-false-d125633e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="string(@classCode) = ('OBS') or not(@classCode)">(PesoCampioneRAP): The value for classCode SHALL be 'OBS'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="string(@moodCode) = ('EVN')">(PesoCampioneRAP): The value for moodCode SHALL be 'EVN'. Found: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(PesoCampioneRAP): Attribute @negationInd SHALL be of data type 'bl'  - '<value-of select="@negationInd"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']) &gt;= 1">(PesoCampioneRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="count(hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']) &lt;= 1">(PesoCampioneRAP): element hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254'] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="count(hl7:code[(@code = '3154-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &gt;= 1">(PesoCampioneRAP): element hl7:code[(@code = '3154-2' and @codeSystem = '2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="count(hl7:code[(@code = '3154-2' and @codeSystem = '2.16.840.1.113883.6.1')]) &lt;= 1">(PesoCampioneRAP): element hl7:code[(@code = '3154-2' and @codeSystem = '2.16.840.1.113883.6.1')] appears too often [max 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="count(hl7:value) &gt;= 1">(PesoCampioneRAP): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="count(hl7:value) &lt;= 1">(PesoCampioneRAP): element hl7:value appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.254
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']
Item: (PesoCampioneRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]/hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']"
         id="d42e5881-false-d125679e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="string(@root) = ('2.16.840.1.113883.3.1937.777.63.10.254')">(PesoCampioneRAP): The value for root SHALL be '2.16.840.1.113883.3.1937.777.63.10.254'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.254
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]/hl7:code[(@code = '3154-2' and @codeSystem = '2.16.840.1.113883.6.1')]
Item: (PesoCampioneRAP)
-->

   <rule fpi="RULC-1"
         context="*[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]/hl7:code[(@code = '3154-2' and @codeSystem = '2.16.840.1.113883.6.1')]"
         id="d42e5887-false-d125691e0">
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="string(@code) = ('3154-2')">(PesoCampioneRAP): The value for code SHALL be '3154-2'. Found: "<value-of select="@code"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="string(@codeSystem) = ('2.16.840.1.113883.6.1')">(PesoCampioneRAP): The value for codeSystem SHALL be '2.16.840.1.113883.6.1'. Found: "<value-of select="@codeSystem"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="string(@codeSystemName) = ('LOINC') or not(@codeSystemName)">(PesoCampioneRAP): The value for codeSystemName SHALL be 'LOINC'. Found: "<value-of select="@codeSystemName"/>"</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(PesoCampioneRAP): Attribute @codeSystemName SHALL be of data type 'st'  - '<value-of select="@codeSystemName"/>'</assert>
      <assert role="error"
              see="https://hl7itig.art-decor.pub/hl7itig-html-20230322T112538/tmp-2.16.840.1.113883.3.1937.777.63.10.254-2022-10-06T100842.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(PesoCampioneRAP): Attribute @displayName SHALL be of data type 'st'  - '<value-of select="@displayName"/>'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.777.63.10.254
Context: *[hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]]/hl7:observation[hl7:templateId[@root = '2.16.840.1.113883.3.1937.777.63.10.254']]/hl7:value
Item: (PesoCampioneRAP)
-->
</pattern>
